## Class template severity_logger_mt

boost::log::sources::severity_logger_mt — Narrow-char thread-safe logger. Functionally equivalent to `basic_severity_logger`.

## Synopsis

    // In header: <boost/log/sources/severity_logger.hpp>

    template<typename LevelT = int>
    class severity_logger_mt : public basic_composite_logger< char, severity_logger_mt< LevelT >, multi_thread_model< implementation_defined >, features< severity< LevelT > > >
    {
    public:
      // construct/copy/destruct
      severity_logger_mt();
      severity_logger_mt(severity_logger_mt const &);
      template<typename... ArgsT> explicit severity_logger_mt(ArgsT...const &);
      explicit severity_logger_mt(LevelT);
      severity_logger_mt & operator=(severity_logger_mt const &);
    };

## Description

See `severity` class template for a more detailed description

### `severity_logger_mt` public construct/copy/destruct

1.     severity_logger_mt();

   Default constructor

2.     severity_logger_mt(severity_logger_mt const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit severity_logger_mt(ArgsT...const & args);

   Constructor with named arguments

4.     explicit severity_logger_mt(LevelT level);

   The constructor creates the logger with the specified default severity level

   Parameters:

   `level` | The default severity level

5.     severity_logger_mt & operator=(severity_logger_mt const & that);

   Assignment operator

   Swaps two loggers